export declare type Options = {
    sourceType: "script" | "module";
    sourceFilename?: string;
    startLine: number;
    allowReturnOutsideFunction: boolean;
    allowImportExportEverywhere: boolean;
    allowSuperOutsideMethod: boolean;
    plugins: ReadonlyArray<string>;
    strictMode: boolean | null;
    ranges: boolean;
    tokens: boolean;
};
export declare type InputOptions = {
    [O in keyof Options]?: Options[O];
};
export declare const defaultOptions: Options;
export declare function getOptions(opts: InputOptions | null): Options;
